<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook"
         xml:id="developerguide.contributing">

  <info>
    <title>Contributing to JOnAS</title>
  </info>

  <section>
    <info>
      <title>Mailing Lists</title>
    </info>

    <para>Developers wanting to contribute information about JOnAS can share
      their thoughts via the JOnAS mailing list.</para>

    <para>The steps necessary for subscribing to the list are described at
      the following url :
      <link xlink:href="http://jonas.objectweb.org/wws/infos/jonas">http://jonas.objectweb.org/wws/info/jonas</link></para>

    <para>Mailing lists for JOnAS are available at :</para>

    <para>
      <link xlink:href="http://forge.objectweb.org/mail/?group_id=5">http://forge.objectweb.org/mail/?group_id=5</link>
    </para>
  </section>

  <section>
    <info>
      <title>Ideas for Contributing</title>
    </info>

    <para>There are many ways to contribute to JOnAS. New ideas are also
      welcome.</para>

    <para>The following is a list of some of the ways to make
      contributions:</para>

    <itemizedlist>
      <listitem>
        <para>Documentation: Improve or add to the existing documentation,
          create new chapters, translate, etc.</para>
      </listitem>

      <listitem>
        <para>Code: Some glue could be added so that JOnAS could be
          integrated in other servers.</para>
      </listitem>

      <listitem>
        <para>Tests: Add new tests to the current test suite.</para>
      </listitem>
    </itemizedlist>
  </section>
</section>
